[packages] hippo-canvas: Add dependency to libX11 drawing backend feature.
authorLars-Peter Clausen <lars@metafoo.de>
Mon, 15 Mar 2010 23:03:22 +0000 (23:03 +0000)
committerLars-Peter Clausen <lars@metafoo.de>
Mon, 15 Mar 2010 23:03:22 +0000 (23:03 +0000)
SVN-Revision: 20235

Xorg/lib/hippo-canvas/Makefile

index 566c52a..56fdf5a 100644 (file)
@@ -17,7 +17,7 @@ PKG_MD5SUM:=9a0f64eb0258a3e8ba710eff9798a7d0
 PKG_FIXUP:=libtool
 
 include $(INCLUDE_DIR)/package.mk
-$(call include_mk, python-package.mk)
+-include $(if $(DUMP),,$(STAGING_DIR)/mk/python-package.mk)
 
 PKG_INSTALL:=1
 
@@ -33,7 +33,7 @@ define Package/hippo-canvas
   SUBMENU:=libraries
   TITLE:=Hippo Canvas
   URL:=http://developer.mugshot.org/wiki/Hippo_Canvas
-  DEPENDS:=+librsvg +gtk2 +cairo +libcroco +pango
+  DEPENDS:=+librsvg +gtk2 +cairo +libcroco +pango @FEATURE_drawing-backend_libX11
 endef
 
 define Package/hippo-canvas/description